#---------------------------------------------------------------------------
# graph server initialization script
#---------------------------------------------------------------------------

if {[info exists serverport]} {

# called by graph.tcl which defines
# serverport, instrument, logbase and logger2

} else {

# called directly

  set serverport 8741
  set homedir [split $env(HOME) /]
  set instrument [lindex $homedir [expr [llength $homedir] - 1]]
  set logbase $env(HOME)/sea
  exe echo 1
}

ServerOption LogFileDir $logbase/log2
#LogFileDir is the directory where the command log is going

ServerOption LoggerDir  $logbase/logger
#where the logger files should be written

ServerOption LogReaderPath :$logbase/logger:$env(HOME)/sicslogger
#where the logger files chould be read from

set statusfile $logbase/status/graphstatus.tcl
ServerOption statusfile $statusfile

ServerOption ServerPort $serverport
# the port number the server is going to listen at. The client MUST know
# this number in order to connect.

#interrupt port not needed for SEA, but required for SICS, add 100
incr serverport 100
ServerOption InterruptPort $serverport

SicsUser lnsmanager lnsSICSlns  1
SicsUser seamanager seager      1
SicsUser seauser    seaser      2
SicsUser Spy        007         3

VarMake Instrument Text Internal
Instrument $instrument

commandlog auto
commandlog compact 1

restore $statusfile
